# Enzyme Optimization of Biocatalytic Reactions

This repository provides an example on how ro run the framework for the optimization of enzymes within the context of biocatalytic reactions.


### Development setup & installation

Create any virtual or conda environment compatible with the specs in setup.cfg. Then run:
```sh
pip install -e ".[dev]" 
```


### Running the example

To run the example simply type:

```sh
python example_enzeptional.py
```


### References

If you use `Enzeptional` in your projects, please consider citing the following:

```bibtex
@inproceedings{teukam2023enzyme,
  title={Enzyme optimization via a generative language modeling-based evolutionary algorithm},
  author={Teukam, Yves Gaetan Nana and Grisoni, Francesca and Manica, Matteo and Zipoli, Federico and Laino, Teodoro},
  booktitle={American Chemical Society (ACS) Spring Meeting},
  year={2023}
}
```

### License

The `Enzeptional` codebase is under MIT license.
For individual model usage, please refer to the model licenses found in the original packages.
